<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目批量导入</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ mix('/css/app.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<form class="w-full lg:w-1/2 lg:ml-6 border-2" action="" method="post" enctype="multipart/form-data">
    @csrf
    <label class="block my-2">
        节目单内容
        <textarea class="form-input border-0 border-b-2 w-full" rows="5" name="content" required>{{ old('content') }}</textarea>
    </label>
    <label class="block my-2">
        BVID
        <input class="form-input border-0 border-b-2 w-full" type="text" name="bvid" required value="{{ old('bvid') }}">
    </label>
    @if($errors->any())
        @foreach ($errors->all() as $error)
            <div class="bg-red-600 text-white">错误：{{ $error }}</div>
        @endforeach
    @endif
    @isset($message)
        <div class="bg-red-600 text-white">提示：{{ $message }}</div>
    @endisset
    <div class="block my-2 text-center">
        <input class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white" type="submit">
    </div>
    <div class="block my-2">
        <a class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white"
           href="{{ route("program.construct.list") }}">返回列表</a>
    </div>
</form>
@include("common.footer")
</body>
</html>
